Bug 845226 - needs restart to show updated content of archive
needs restart to show updated content of archive
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 07:02 EDT by Jan Vcelak
Modified: 2016-12-20 07:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:17:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-08-02 07:02:10 EDT
Description of problem:

mc seems to cache content of an opened archive and doesn't detect, that the archive changed. Therefore the old content is still shown.

Version-Release number of selected component (if applicable):
mc-4.8.4-2.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. rpmbuild some package
2. open the content of the package in mc
3. update the spec and remove some files without bumping the NVR
4. rebuild the package
4. open the new package in mc
  
Actual results:
mc shows files, which were removed from the package and should not be here


Expected results:
mc shows only files, which are within the package


Additional info:
Comment 1 Jindrich Novy 2012-09-11 12:09:07 EDT
rpm VFS is cached. What you need is to Command/Active VFS list/Free VFS now. Then VFS contents will be updated.
Comment 2 Pavel Alexeev 2012-09-15 13:40:53 EDT
Caching is good think for archive contents. But I think will be also useful clear it when you leave archive tree. So, next time you are step in archive VFS must reread it. Even more better will write some hash and reread archive only if it changed on archive enter stage. If it not changed - old cache may be used.
Comment 3 Jaroslav Škarvada 2012-09-17 04:25:11 EDT
I think this is a bug and at least not good user experience that could lead to dozens of minutes lost in searching what's wrong (also it happened to me ;), thus reopening.

Also it seems it sometimes gets updated correctly without mc restart and sometimes it doesn't (I will try to investigate this in more deep), thus definitely seems like a bug to me.
Comment 6 Fedora End Of Life 2013-07-04 02:26:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Pavel Alexeev 2013-07-09 15:36:03 EDT
Could it be implemented?
Comment 9 Jan Kurik 2015-07-15 11:04:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Fedora End Of Life 2016-11-24 05:43:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 07:17:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.